﻿--[[
Name: Babble-Trainer-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Trainer-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Trainer-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleTrainer = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleTrainer:RegisterTranslations("enUS", function() return {
	-- Trainer types
	["Warrior Trainer"] = true,
	["Demon Trainer"] = true,
	["Bael'dun Chief Engineer"] = true,
	["Warlock Trainer"] = true,
	["Raptor Riding Trainer"] = true,
	["Horse Riding Instructor"] = true,
	["Leatherworking Trainer"] = true,
	["Master Jewelcrafter"] = true,
	["Artisan Enchanter"] = true,
	["Unbalanced Engineer"] = true,
	["Journeyman Jewelcrafter"] = true,
	["Expert Tailor"] = true,
	["Expert Blacksmith"] = true,
	["Artisan Blacksmith"] = true,
	["Grand Master Tailor"] = true,
	["Master Gnome Engineer"] = true,
	["Druid Trainer"] = true,
	["Journeyman Engineer"] = true,
	["Superior Leatherworker"] = true,
	["Journeyman Tailor"] = true,
	["Journeyman Leatherworker"] = true,
	["Grand Master Alchemist"] = true,
	["Grand Master Leatherworker"] = true,
	["Portal Trainer"] = true,
	["Grand Master Enchanter"] = true,
	["Cooking Trainer"] = true,
	["Skinning Trainer"] = true,
	["Engineer"] = true,
	["Riding Instructor"] = true,
	["Priest Trainer"] = true,
	["Journeyman Alchemist Trainer"] = true,
	["Artisan Leatherworker"] = true,
	["Artisan Engineer"] = true,
	["Master Dragonscale Leatherworker"] = true,
	["Herbalism Trainer"] = true,
	["Blacksmith"] = true,
	["First Aid Trainer"] = true,
	["Paladin Trainer"] = true,
	["Pet Trainer"] = true,
	["Master Leatherworker"] = true,
	["Tribal Leatherworking Trainer"] = true,
	["Master Engineer"] = true,
	["Master Shadoweave Tailor"] = true,
	["Transportation Engineer"] = true,
	["Shaman Trainer"] = true,
	["Hunter Trainer"] = true,
	["Mage Trainer"] = true,
	["Artisan Tailor"] = true,
	["Speciality Engineer"] = true,
	["Master Tribal Leatherworker"] = true,
	["Chief Engineer"] = true,
	["Master Enchanter"] = true,
	["Owl Trainer"] = true,
	["Trauma Surgeon"] = true,
	["Master Blacksmith"] = true,
	["Journeyman Blacksmith"] = true,
	["Undead Horse Riding Instructor"] = true,
	["Wolf Riding Instructor"] = true,
	["Master Alchemist"] = true,
	["Master Tailor"] = true,
	["Master Leatherworking Trainer"] = true,
	["Grand Master Engineer"] = true,
	["Kodo Riding Instructor"] = true,
	["Artisan Alchemist"] = true,
	["Journeyman Enchanter"] = true,
	["Royal Apothecary Society"] = true,
	["Master Elemental Leatherworker"] = true,
	["Expert Enchanter"] = true,
	["Weapon Master"] = true,
	["Expert Alchemist"] = true,
	["Master Goblin Engineer"] = true,
	["Head Eco-Dome Engineer"] = true,
	["Fishing Trainer"] = true,
	["Expert Engineer"] = true,
	["Expert Leatherworker"] = true,
	["Journeyman Alchemist"] = true,
	["Rogue Trainer"] = true,
	["Ram Riding Instructor"] = true,
	["Grand Master Blacksmith"] = true,
	["Grand Master Jewelcrafter"] = true,
	["Mining Trainer"] = true,
} end)

BabbleTrainer:RegisterTranslations("frFR", function() return {
	-- Trainer types
	["Warrior Trainer"] = "Maître des guerriers",
	["Demon Trainer"] = "Maître des démons",
--	["Bael'dun Chief Engineer"] = true,
	["Warlock Trainer"] = "Maître des démonistes",
	["Raptor Riding Trainer"] = "Instructrice de monte de raptor",
	["Horse Riding Instructor"] = "Instructeur d'équitation",
	["Leatherworking Trainer"] = "Maître des Artisans du cuir",
	["Master Jewelcrafter"] = "Joaillier - Maître",
	["Artisan Enchanter"] = "Enchanteur - Artisan",
	["Unbalanced Engineer"] = "Ingénieur déséquilibré",
	["Journeyman Jewelcrafter"] = "Joaillier - Compagnon",
	["Expert Tailor"] = "Tailleur - Expert",
	["Expert Blacksmith"] = "Forgeron - Expert",
	["Artisan Blacksmith"] = "Forgeron - Artisan",
	["Grand Master Tailor"] = "Grand maître des tailleurs",
	["Master Gnome Engineer"] = "Maître-ingénieur gnome",
	["Druid Trainer"] = "Maître des druides",
	["Journeyman Engineer"] = "Ingénieur - Compagnon",
	["Superior Leatherworker"] = "Excellent artisan du cuir",
	["Journeyman Tailor"] = "Tailleur - Compagnon",
	["Journeyman Leatherworker"] = "Artisan du cuir - Compagnon",
	["Grand Master Alchemist"] = "Grand maître des alchimistes",
	["Grand Master Leatherworker"] = "Grand maître des alchimistes",
	["Portal Trainer"] = "Maître des portails",
	["Grand Master Enchanter"] = "Grand maître des enchanteurs",
	["Cooking Trainer"] = "Maître des cuisiniers",
	["Skinning Trainer"] = "Maître des dépeceurs",
	["Engineer"] = "Ingénieur",
	["Riding Instructor"] = "Instructeur de monte",
	["Priest Trainer"] = "Maître des prêtres",
	["Journeyman Alchemist Trainer"] = "Maître des alchimistes - Compagnon",
	["Artisan Leatherworker"] = "Artisan du cuir - Artisan",
	["Artisan Engineer"] = "Ingénieur - Artisan",
	["Master Dragonscale Leatherworker"] = "Artisan du cuir - Maître écailles de dragon",
	["Herbalism Trainer"] = "Maître des herboristes",
	["Blacksmith"] = "Forgeron",
	["First Aid Trainer"] = "Maître des premiers soins",
	["Paladin Trainer"] = "Maître des paladins",
	["Pet Trainer"] = "Maître des familiers",
	["Master Leatherworker"] = "Artisan du cuir - Maître",
	["Tribal Leatherworking Trainer"] = "Maître des artisans du cuir tribal",
	["Master Engineer"] = "Ingénieur - Maître",
	["Master Shadoweave Tailor"] = "Tailleur - Maître tisse-ombre",
	["Transportation Engineer"] = "Ingénieur en charge du transporteur",
	["Shaman Trainer"] = "Maître des chamans",
	["Hunter Trainer"] = "Maître des chasseurs",
	["Mage Trainer"] = "Maître des mages",
	["Artisan Tailor"] = "Tailleur - Artisan",
	["Speciality Engineer"] = "Ingénieur spécialiste",
	["Master Tribal Leatherworker"] = "Artisan du cuir - Maître tribal",
	["Chief Engineer"] = "Ingénieur en chef",
	["Master Enchanter"] = "Enchanteur - Maître",
	["Owl Trainer"] = "Entraîneur de chouettes",
	["Trauma Surgeon"] = "Chirurgien",
	["Master Blacksmith"] = "Forgeron - Maître",
	["Journeyman Blacksmith"] = "Forgeron - Compagnon",
	["Undead Horse Riding Instructor"] = "Instructeur d'équitation mort-vivant",
	["Wolf Riding Instructor"] = "Instructeur de monte de loup",
	["Master Alchemist"] = "Alchimiste - Maître",
	["Master Tailor"] = "Tailleur - Maître",
	["Master Leatherworking Trainer"] = "Maître des Artisans du cuir - Maître",
	["Grand Master Engineer"] = "Grand maître des ingénieurs",
	["Kodo Riding Instructor"] = "Instructeur de monte de kodo",
	["Artisan Alchemist"] = "Alchimiste - Artisan",
	["Journeyman Enchanter"] = "Enchanteur - Compagnon",
	["Royal Apothecary Society"] = "Société royale des apothicaires",
	["Master Elemental Leatherworker"] = "Artisan du cuir - Maître élémentaire",
	["Expert Enchanter"] = "Enchanteur - Expert",
	["Weapon Master"] = "Maître d'armes",
	["Expert Alchemist"] = "Alchimiste - Expert",
	["Master Goblin Engineer"] = "Ingénieur - Maître gobelin",
	["Head Eco-Dome Engineer"] = "Ingénieur en chef de l'Écodôme",
	["Fishing Trainer"] = "Maître des pêcheurs",
	["Expert Engineer"] = "Ingénieur - Expert",
	["Expert Leatherworker"] = "Artisan du cuir - Expert",
	["Journeyman Alchemist"] = "Alchimiste - Compagnon",
	["Rogue Trainer"] = "Maître des voleurs",
	["Ram Riding Instructor"] = "Instructeur de monte de bélier",
	["Grand Master Blacksmith"] = "Grand maître des forgerons",
	["Grand Master Jewelcrafter"] = "Grand maître des joailliers",
	["Mining Trainer"] = "Maître des mineurs",
} end)

BabbleTrainer:Debug()
BabbleTrainer:SetStrictness(true)

AceLibrary:Register(BabbleTrainer, MAJOR_VERSION, MINOR_VERSION)
BabbleTrainer = nil
